.grid-side-by-side {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(min(480px, 100%), 1fr));
    gap: 20px;
    
}

.block-link {
    display: block;
    height: fit-content;
}

.bubble-container {
    box-shadow: 0px 0px 2px rgb(0 0 0 / 0.5);
    border-radius: 20px;
    padding: 20px;
    transition: 100ms ease-in-out;
    border: 2px solid rgb(255 255 255 / 0);
}

.bubble-container:hover, .bubble-container:focus, a:focus > .bubble-container, .bubble-container:has(> a:focus) {
    background-color: #FAFAFA;
    border-color: grey;
}

.bubble-container-title {
    font-size: 3rem;
    line-height: calc(3rem * 1.2);
    display: block;
    text-align: center;
    font-weight: 700;
    width: 100%;
    margin-bottom: unset;
}

.bubble-container-title-small {
    font-size: 2rem;
    line-height: calc(2rem * 1.2);
    display: block;
    text-align: center;
    font-weight: 600;
    width: 100%;
    margin-bottom: unset;
}

.content-spacing {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.content-center {
    align-items: center;
}

.content-spacing-small {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.list-type-disc {
    list-style-type: disc;
    list-style-position: outside;
    margin-left: 20px;
}
.list-type-disc > li {
    font-size: 1.8rem;
    line-height: calc(1.8rem * 1.5);
}

.link-button {
    text-transform: uppercase;
    border: 1px solid black;
    border-radius: 4px;
    padding: 6px;
    text-align: center;
    font-size: 1.8rem;
    line-height: calc(1.8rem * 1.5);
    font-weight: 600;
    box-shadow: 0 0 2px rgb(0 0 0 / 0.5);
    transition: 200ms ease-in-out;
    background-color: transparent;
    width: 100%;
    cursor: pointer;
}
.link-button:hover, .link-button:focus {
    background-color: #EEEEEE;
}

.link-button-small {
    max-width: 220px;
}

.link-button-smaller {
    max-width: 140px;
    font-size: 1.6rem;
    line-height: calc(1.6rem * 1.5);
    padding: 4px;
    border: 1px solid grey;
    box-shadow: unset;
}

.img-border-radius {
    border-radius: 4px;
}

.img-hover-effect, .img-hover-effect-exclusive {
    transition: 500ms ease-in-out;
}
:is(.bubble-container:hover, .bubble-container:focus, a:focus > .bubble-container, .bubble-container:has(> a:focus), a:hover, a:focus) .img-hover-effect, .img-hover-effect:hover {
    transform: scale(101%);
}

:is(a:hover, a:focus) > .img-hover-effect-exclusive, .img-hover-effect-exclusive:hover {
    transform: scale(101%);
}

.grid-full-width {
    grid-column: 1 / -1;
}

.logo-list {
    display: flex;
    flex-wrap: nowrap;
    gap: 10px;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.logo-list img {
    max-height: 60px;
    max-width: 200px;
}

.brand-product-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(200px, 100%), 1fr));
    gap: 20px;
    width: 100%;
    justify-items: center;
}

.brand-product-list > * {
    height:fit-content;
    max-width: 300px;
    width: 100%;
}

.brand-product-list img {
    height: 200px;
    max-width: min(300px, 100%);
}
.brand-product-list img.full-width {
    width: 100%;
    max-width: 100%;
    height: unset;
    max-height: 300px;
}

.container-outline {
    border: 2px solid darkgrey;
    border-radius: 20px;
}

:is(.link-outline:hover, .link-outline:focus) img {
    opacity: 0.7;
    transform: scale(102%);
}

.padding-10 {
    padding: 10px;
}

.full-width {
    width: 100%;
    max-width: 100%;
}

@media only screen and (max-width: 950px) {
    .bubble-container-title {
        font-size: 2.6rem;
        line-height: calc(2.6rem * 1.2);
    }
    .bubble-container-title-small {
        font-size: 1.8rem;
        line-height: calc(1.8rem * 1.2);
    }
    .link-button {
        font-size: 1.6rem;
        line-height: calc(1.6rem * 1.5);
    }
    .link-button-small {
        max-width: 200px;
    }
    .link-button-smaller {
        font-size: 1.4rem;
        line-height: calc(1.4rem * 1.5);
        max-width: 120px;
    }
}